/*-- Booking Calendar Widget Styles */

.booking-wizard,
.wizard-header,
.wizard-nav,
.wizard-body,
.wizard-footer {
    height: auto;
    position: relative;
    display: flex;
    -webkit-transition: all 0.3s ease-in-out;
    -moz-transition: all 0.3s ease-in-out;
    -o-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
    box-sizing: border-box;
}

.wizard-header,
.wizard-nav,
.wizard-body,
.wizard-footer {
    width: 100%;
    flex-wrap: wrap;
}

.booking-wizard {
    flex-wrap: nowrap;
    border-radius: var(--radius-md);
    background-color: var(--color-pale-gray);
    box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px 0px, rgba(60, 64, 67, 0.15) 0px 2px 6px 2px;
    overflow: hidden;
}

.booking-wizard .overlay-btn {
    position: absolute;
    top: 2rem;
    right: 2rem;
}

.wizard-nav {
    width: 100%;
    max-width: 20rem;
    height: 100%;
    position: relative;
    padding: var(--space-8);
    align-items: flex-start;
    align-content: flex-start;
    gap: 1rem 0;
    background-color: var(--color-edward-green);
}

.wizard-nav .progress-bar-wrapper {
    width: 100%;
    margin: 0;
}

.wizard-body {
    width: auto;
    align-items: flex-start;
    align-content: flex-start;
    padding: 0;
}

.wizard-body .progress-bar-wrapper {
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;

}

.wizard-footer {
    padding: var(--space-4);
    justify-content: space-between;
}

.wizard-step-content {
    width: 100%;
    height: auto;
    position: relative;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: var(--space-6);
    box-sizing: border-box;
}

.booking-card-container {
  flex-wrap: wrap;
  padding:0;
}

.booking-wizard .card {
    width: calc(100%/4 - 2rem);
    max-width: 20rem;
    align-items: stretch;
    cursor: pointer;
}

.booking-wizard .card .card-inner {
    gap: var(--space-4);
    overflow: hidden;
}

.booking-wizard .card .card-title {
    font-size: var(--fs-md);
}

.booking-wizard .card.active {
    background-color: var(--color-viridian-green);
}

.booking-wizard .card.active .icon-image svg {
    color: var(--color-white);
    fill: var(--color-white);
}

.booking-wizard .card.active .card-title {
    color: var(--color-white);
}


.wizard-validation-error {
    width: 100%;
    height: auto;
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    top: 0;
    left: 0;
    right: 0;
    background-color: rgb(231, 52, 52);
    box-sizing: border-box;
    z-index: 2;
}

.wizard-validation-error svg {
    fill: #fff;
}

.wizard-validation-error span {
    width: auto;
    height: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: var(--space-4);
    box-sizing: border-box;
}

.wizard-validation-error span p {
    font-size:var(--fs-md);
    color: #fff;
}

@media all and (max-width: 1300px) {}

@media all and (min-width: 1023px) and (max-width: 1299px) {


    .booking-wizard .card {
        width: calc(100%/3 - 2rem);
        max-width: unset;
    }

}

@media all and (max-width: 1022px) {}

@media all and (min-width: 767px) and (max-width: 1022px) {


    .booking-wizard .card {
        width: calc(100%/2 - 2rem);
        max-width: unset;
    }
}

@media all and (max-width: 766px) {

    .booking-wizard {
        flex-wrap: wrap;
    }

    .booking-wizard .card-container {
        padding: 0;
    }

    .booking-wizard .card {
        width: calc(100%/2 - 0.5rem);
        max-width: unset;
        margin: 0;
    }

    .booking-wizard .card .card-inner {
        padding: var(--space-2);
        gap: var(--space-2);
    }


    .booking-wizard .progress-bar-wrapper {
        width: calc(100% - 4rem);
    }

    .booking-wizard .progress-indicator .label {
        position: absolute;
        margin: 2rem auto 0.5rem;
    }

    .wizard-nav {
        max-width: unset;
        height: auto;
    }

    .wizard-body {
        width: 100%;
        padding: 0;
    }

    .wizard-body .step-section {
        padding: 0;
    }

}


@media all and (max-width: 499px) {
    .booking-wizard .card .card-title {
        font-size: var(--fs-base);
    }
}

@media all and (max-width: 375px) {
    .booking-wizard .card {
        width: 100%;
        margin: 0 0 var(--space-2);
    }

    .booking-wizard .card input[type='radio'] {
        position: relative;
        margin: auto 0;
    }

    .booking-wizard .card-inner {
        flex-wrap: nowrap;
        gap: var(--space-2);
    }
}